Bug 1523785 - distccd invoked with --verbose, spamming logs
Summary: distccd invoked with --verbose, spamming logs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: distcc
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-08 17:53 UTC by Avi Kivity
Modified: 2017-12-29 20:52 UTC (History)
2 users (show)

Fixed In Version: distcc-3.2rc1-17.fc27 distcc-3.2rc1-17.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-29 18:45:02 UTC


Attachments (Terms of Use)

Description Avi Kivity 2017-12-08 17:53:30 UTC
Description of problem:

distccd generates a lot of log lines every time it executes. This is because /usr/lib/systemd/system/distccd.service contains --verbose.

Version-Release number of selected component (if applicable):
distcc-server-3.2rc1-15.fc27.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Compile something with distcc


Actual results:

Journal is filled with useless stuff like
(dcc_check_client) connection from 10.0.0.1:52784
(check_address_inet) match client 0x100000a, value 0xa, mask 0xff
(dcc_service_job) No authentication requested.
(dcc_r_token_int) got DIST00000002
(dcc_r_token_int) got ARGC0000001f
(dcc_r_argv) reading 31 arguments from job submission
(dcc_r_token_int) got ARGV00000010
(dcc_r_token_string) got '/usr/bin/g++-f26'
(dcc_r_argv) argv[0] = "/usr/bin/g++-f26"
(dcc_r_token_int) got ARGV0000000c
(dcc_r_token_string) got '-std=gnu++1y'
(dcc_r_argv) argv[1] = "-std=gnu++1y"
(dcc_r_token_int) got ARGV00000005
(dcc_r_token_string) got '-Wall'
(dcc_r_argv) argv[2] = "-Wall"
(dcc_r_token_int) got ARGV00000007
(dcc_r_token_string) got '-Werror'
(dcc_r_argv) argv[3] = "-Werror"
(dcc_r_token_int) got ARGV00000022
(dcc_r_token_string) got '-Wno-error=deprecated-declarations'
(dcc_r_argv) argv[4] = "-Wno-error=deprecated-declarations"
(dcc_r_token_int) got ARGV00000013
(dcc_r_token_string) got '-fvisibility=hidden'
(dcc_r_argv) argv[5] = "-fvisibility=hidden"
(dcc_r_token_int) got ARGV0000000f
(dcc_r_token_string) got '-Wno-attributes'
(dcc_r_argv) argv[6] = "-Wno-attributes"
(dcc_r_token_int) got ARGV00000008
(dcc_r_token_string) got '-pthread'
(dcc_r_argv) argv[7] = "-pthread"
(dcc_r_token_int) got ARGV0000000e
(dcc_r_token_string) got '-march=nehalem'
(dcc_r_argv) argv[8] = "-march=nehalem"
(dcc_r_token_int) got ARGV00000017
(dcc_r_token_string) got '-Wno-overloaded-virtual'



Expected results:

Less useless stuff

Additional info:

Comment 1 Fedora Update System 2017-12-21 15:37:49 UTC
distcc-3.2rc1-17.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-16890ff400

Comment 2 Fedora Update System 2017-12-21 15:38:03 UTC
distcc-3.2rc1-17.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f884920938

Comment 3 Fedora Update System 2017-12-21 20:27:34 UTC
distcc-3.2rc1-17.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-16890ff400

Comment 4 Fedora Update System 2017-12-21 21:12:42 UTC
distcc-3.2rc1-17.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f884920938

Comment 5 Fedora Update System 2017-12-29 18:45:02 UTC
distcc-3.2rc1-17.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2017-12-29 20:52:42 UTC
distcc-3.2rc1-17.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.